# Register terminal application version    beta

Register a new version of a terminal application. For Android applications, this is used to register a new version code of the application.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) you'll need to specify the `/terminal-applications.write` scope.

## POST

/terminal-applications/{terminalApplicationID}/versions

## Ask

```shell
curl -X POST "https://api.moov.io/terminal-applications/{terminalApplicationID}/versions" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00" \
  -d '{
  "version": "20440059"
}'
```

## Ask

```go
mc, _ := moov.NewClient()

var terminalApplicationID string
version := "20440059"

mc.CreateTerminalApplicationVersion(ctx, terminalApplicationID, version)
```

## Ask

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.terminalApplications.createVersion({
    terminalApplicationID: "12345678-1234-1234-1234-123456789012",
    terminalApplicationVersion: {
      version: "20440059",
    },
  });

console.log(result);
}

run();
```

## Ask

```php
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$terminalApplicationVersion = new Components\TerminalApplicationVersion(
    version: '20440059',
);

$response = $sdk->terminalApplications->createVersion(
    terminalApplicationID: '12345678-1234-1234-1234-123456789012',
    terminalApplicationVersion: $terminalApplicationVersion
);

if ($response->terminalApplicationVersion !== null) {
    // handle response
}
```

## Ask

```java
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.components.TerminalApplicationVersion;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.errors.TerminalApplicationError;
import io.moov.sdk.models.operations.CreateTerminalApplicationVersionResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws GenericError, TerminalApplicationError, Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

CreateTerminalApplicationVersionResponse res = sdk.terminalApplications().createVersion()
                .terminalApplicationID("12345678-1234-1234-1234-123456789012")
                .terminalApplicationVersion(TerminalApplicationVersion.builder()
                    .version("20440059")
                    .build())
                .call();

if (res.terminalApplicationVersion().isPresent()) {
            System.out.println(res.terminalApplicationVersion().get());
        }
    }
}
```

## Ask

```python
from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.terminal_applications.create_version(terminal_application_id="12345678-1234-1234-1234-123456789012", version="20440059")

# Handle response
    print(res)
```

## Ask

```ruby
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.terminal_applications.create_version(terminal_application_id: '12345678-1234-1234-1234-123456789012', terminal_application_version: Models::Components::TerminalApplicationVersion.new(
  version: '20440059'
))

unless res.terminal_application_version.nil?
  # handle response
end
```

## Ask

```csharp
using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.TerminalApplications.CreateVersionAsync(
    terminalApplicationID: "12345678-1234-1234-1234-123456789012",
    body: new TerminalApplicationVersion() {
        Version = "20440059",
    }
);

// handle response
```

The request completed successfully.

## Ask

Example

```json
{
  "version": "20440059"
}
```

### Response headers

A unique identifier used to trace requests.

The server could not understand the request due to invalid syntax.

## Ask

Example

```json
{
  "error": "string"
}
```

### Response headers

A unique identifier used to trace requests.

The request contained missing or expired authentication.

### Response headers

A unique identifier used to trace requests.

The user is not authorized to make the request.

### Response headers

A unique identifier used to trace requests.

The requested resource was not found.

### Response headers

A unique identifier used to trace requests.

The request conflicted with the current state of the target resource.

## Ask

Example

```json
{
  "error": "string"
}
```

### Response headers

A unique identifier used to trace requests.

The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields.

## Ask

Example

```json
{
  "platform": "string",
  "appBundleID": "string",
  "packageName": "string",
  "sha256Digest": "string",
  "versionCode": "string"
}
```

### Response headers

A unique identifier used to trace requests.

Request was refused due to rate limiting.

### Response headers

A unique identifier used to trace requests.

The request failed due to an unexpected error.

### Response headers

A unique identifier used to trace requests.

The request failed because a downstream service failed to respond.

### Response headers

A unique identifier used to trace requests.

Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

Possible values:

`v2026.07.00`

Describes a terminal application version.

The app version of the terminal application (version code for Android terminal application).

Describes a terminal application version.

The app version of the terminal application (version code for Android terminal application).
